%define	name	zaptel
%define	version	1.0.0
%define	release	2mdk

%define	major	1
%define libname	%mklibname tonezone %{major}

%define	progs	fxstest hdlcgen hdlcstress hdlctest hdlcverify makefw patgen patlooptest pattest sethdlc usbfxstest wct4xxp-diag ztcfg ztdiag ztmonitor ztspeed zttool
# ztprovision ztcat ztcfg-dude fxsdump

Summary:	Zapata Telephony Interface Library and tools
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.asterisk.org/
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Patch0:		zaptel-1.0-RC2-mdk.diff.bz2
Patch1:		zaptel-1.0.0-bri-stuff.diff.bz2
Group:		System/Libraries
BuildRequires:	newt-devel
BuildRequires:	zapata-devel
BuildConflicts:	%{name}-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Zapata Telephony Interface Library and utilities

The Zapata Telephony Interface drivers is contained in the 
kernel-zaptel (or dkms) package.

BRI support was added from the bri-stuff tarball by Klaus-Peter
Junghanns: http://www.junghanns.net/

%package -n	%{libname}
Summary:	The shared Zapata Telephony Interface Library
Group:          System/Libraries

%description -n	%{libname}
The shared Zapata Telephony Interface Library

The Zapata Telephony Interface drivers is contained in the 
kernel-zaptel (or dkms) package.

BRI support was added from the bri-stuff tarball by Klaus-Peter
Junghanns: http://www.junghanns.net/

%package -n	%{libname}-devel
Summary:	Development files for the Zapata Telephony Interface Library
Group:		Development/C
Obsoletes:	%{name}-devel libtonezone-devel
Provides:	%{name}-devel libtonezone-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
Development files for the Zapata Telephony Interface Library.

This package contains the static tonezone library and its header
files.

%package	tools
Summary:	Various tools for the Zapata Telephony Interface
Group:          System/Kernel and hardware

%description	tools
Various tools for the Zapata Telephony Interface

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0 -b .mdk
%patch1 -p1

%build

%make CFLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE" libtonezone.so.%{major}.0
%make libtonezone.a

# make these with a twist...
mkdir -p private-build
cp -p *.c *.h *.cc *.so* Makefile private-build/
cd private-build

perl -pi -e "s|\<linux/zaptel.h\>|\"zaptel.h\"|g" *
for prog in %progs; do
    %make CFLAGS="%{optflags} -I. -L." $prog
done

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_includedir}/linux
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_bindir}

install -m0755 libtonezone.so.%{major}.0 %{buildroot}%{_libdir}/
ln -snf libtonezone.so.%{major}.0 %{buildroot}%{_libdir}/libtonezone.so.%{major}
ln -snf libtonezone.so.%{major}.0 %{buildroot}%{_libdir}/libtonezone.so
install -m0755 libtonezone.a %{buildroot}/%{_libdir}/
install -m0644 zaptel.h %{buildroot}%{_includedir}/linux/
install -m0644 torisa.h %{buildroot}%{_includedir}/linux/
install -m0644 tonezone.h %{buildroot}%{_includedir}/linux/

for prog in %progs; do
    install -m0755 private-build/$prog %{buildroot}%{_bindir}/
done

# fix one conflicting file with tetex
mv %{buildroot}%{_bindir}/patgen %{buildroot}%{_bindir}/%{name}-patgen

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/linux/*.h
%{_libdir}/*.so
%{_libdir}/*.a

%files tools
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Sun Sep 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- added P1 by Klaus-Peter Junghanns

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- fix url

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.2mdk
- fix one conflicting file with tetex

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.1mdk
- initial mandrake package
